--- gkermit-1.0/makefile.redhat	Sun Dec 26 15:28:38 1999
+++ gkermit-1.0/makefile	Thu Jan 13 12:34:40 2000
@@ -29,16 +29,15 @@
 
 # Sample installation values - change or override as needed.
 
-BINDIR = /usr/local/bin
-MANDIR = /usr/man/manl
-TEXTDIR = /usr/local/doc
-INFODIR = /usr/local/info
-MANEXT = l
+BINDIR = $(DESTDIR)/usr/bin
+MANDIR = $(DESTDIR)/usr/man/man1
+INFODIR = $(DESTDIR)/usr/info
+MANEXT = 1
 
 # Default compiler and flags
 
-CC=cc
-CFLAGS= -DPOSIX -O $(KFLAGS)
+CC=gcc
+CFLAGS= $(RPM_OPT_FLAGS) -DPOSIX -O $(KFLAGS)
 
 # Object files
 
@@ -103,21 +102,11 @@
 		    echo "Please build the gkermit binary first." ; \
 		    exit ; \
 		fi
+		@install -m 755 -d $(BINDIR) $(MANDIR)
 		@echo Copying gkermit to $(BINDIR)...
 		@cp gkermit $(BINDIR)/gkermit
 		@chmod 755 $(BINDIR)/gkermit
 		@ls -lg $(BINDIR)/gkermit
-		@if test -d $(TEXTDIR); then \
-		    echo "$(TEXTDIR) exists..." ; \
-		else \
-		    echo "Creating $(TEXTDIR)/..." ; \
-		    mkdir $(TEXTDIR) ; \
-		    chmod 755 $(TEXTDIR) ; \
-		fi
-		@echo Copying README to $(TEXTDIR)/gkermit.txt...
-		@cp README $(TEXTDIR)/gkermit.txt
-		@chmod 644 $(TEXTDIR)/gkermit.txt
-		@ls -lg $(TEXTDIR)/gkermit.txt
 		@echo Installing man page in $(MANDIR)/gkermit.$(MANEXT)...
 		@cp gkermit.nr $(MANDIR)/gkermit.$(MANEXT)
 		@chmod 644 $(MANDIR)/gkermit.$(MANEXT)
